com.hazelcast.config

## Class AbstractXmlConfigBuilder

- java.lang.Object
- - com.hazelcast.config.AbstractXmlConfigHelper
  - - com.hazelcast.config.AbstractXmlConfigBuilder

- Direct Known Subclasses:
    XmlClientConfigBuilder, XmlClientFailoverConfigBuilder, XmlConfigBuilder

      public abstract class AbstractXmlConfigBuilder
      extends AbstractXmlConfigHelper

  Contains logic for replacing system variables in the XML file and importing XML files from different locations.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `AbstractXmlConfigBuilder.ConfigType`

  - ### Field Summary

    - ### Fields inherited from class com.hazelcast.config.AbstractXmlConfigHelper

      `domLevel3`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractXmlConfigBuilder()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract AbstractXmlConfigBuilder.ConfigType` | `getConfigType()`
    `Properties` | `getProperties()` Gets the current used properties.
    `protected abstract Document` | `parse(InputStream inputStream)` Reads XML from InputStream and parses.
    `protected void` | `process(Node root)`
    `protected void` | `setPropertiesInternal(Properties properties)` Sets the used properties.

    - ### Methods inherited from class com.hazelcast.config.AbstractXmlConfigHelper

      `appendToken, getNamespaceType, getReleaseVersion, loadSchemaFile, schemaValidation, xmlToJavaName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractXmlConfigBuilder

          public AbstractXmlConfigBuilder()

  - ### Method Detail

    - #### process

          protected void process(Node root)
                          throws Exception

      Throws:
        `Exception`

    - #### parse

          protected abstract Document parse(InputStream inputStream)
                                     throws Exception

      Reads XML from InputStream and parses.
      Parameters:
        `inputStream` - `InputStream` to read from
      Returns:
        Document after parsing XML
      Throws:
        `Exception` - if the XML configuration cannot be parsed or is invalid

    - #### getProperties

          public Properties getProperties()

      Gets the current used properties. Can be null if no properties are set.
      Returns:
        the current used properties
      See Also:
        `setPropertiesInternal(Properties)`

    - #### setPropertiesInternal

          protected void setPropertiesInternal(Properties properties)

      Sets the used properties. Can be null if no properties should be used.

      Properties are used to resolve ${variable} occurrences in the XML file.

      Parameters:
        `properties` - the new properties

    - #### getConfigType

          protected abstract AbstractXmlConfigBuilder.ConfigType getConfigType()

      Overrides:
        `getConfigType` in class `AbstractXmlConfigHelper`
      Returns:
        ConfigType of current config class as enum value

Copyright © 2020. All rights reserved.